For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETQuery Resources
      • POSTCreate Resource
      • GETRetrieve Resource
      • PUTUpdate Resource
      • DELDelete Resource
      • POSTCreate Many Resources
      • GETResend Invite Email
      • GETGet Resource Avatar
LogoLogo
SupportContact salesStart free trial
API ReferenceResource

Query Resources

GET
https://api.projectmanager.com/api/data/resources
GET
/api/data/resources
$curl https://api.projectmanager.com/api/data/resources \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": [
14 {
15 "id": "string",
16 "initials": "string",
17 "name": "string",
18 "firstName": "string",
19 "lastName": "string",
20 "email": "string",
21 "hourlyRate": 1.1,
22 "phone": "string",
23 "city": "string",
24 "state": "string",
25 "country": "string",
26 "countryName": "string",
27 "notes": "string",
28 "approver": {
29 "id": "string",
30 "name": "string"
31 },
32 "teams": [
33 {
34 "id": "string",
35 "name": "string"
36 }
37 ],
38 "skills": [
39 {
40 "id": "string",
41 "name": "string",
42 "inUse": true
43 }
44 ],
45 "onlineDateTime": "2024-01-15T09:30:00Z",
46 "role": "string",
47 "isActive": true,
48 "createdDate": "2024-01-15T09:30:00Z",
49 "createdBy": "string",
50 "modifiedDate": "2024-01-15T09:30:00Z",
51 "modifiedBy": "string",
52 "colorName": "string",
53 "color": "string",
54 "avatarUrl": "string",
55 "language": "string",
56 "resourceTypeId": 1,
57 "defaultPlannedHours": 1.1,
58 "workingDays": {
59 "monday": 1.1,
60 "tuesday": 1.1,
61 "wednesday": 1.1,
62 "thursday": 1.1,
63 "friday": 1.1,
64 "saturday": 1.1,
65 "sunday": 1.1
66 }
67 }
68 ]
69}
Retrieve a list of Resources that match an [OData formatted query](https://www.odata.org/). A Resource represents a person, material, or tool that is used within your Projects. When you attach a Resources to more than one Task, the software will schedule the usage of your Resource so that it is not allocated to more than one Task at the same time. The users in your Workspace are also considered Resources. To invite a new User to your Workspace, create a new Resource for that user.
Was this page helpful?
Previous

Create Resource

Next
Built with

Retrieve a list of Resources that match an OData formatted query.

A Resource represents a person, material, or tool that is used within your Projects. When you attach a Resources to more than one Task, the software will schedule the usage of your Resource so that it is not allocated to more than one Task at the same time. The users in your Workspace are also considered Resources. To invite a new User to your Workspace, create a new Resource for that user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Query parameters

$topintegerOptional
The number of records to return
$skipintegerOptional

Skips the given number of records and then returns $top records

$filterstringOptional
Filter the expression according to oData queries
$orderbystringOptional
Order collection by this field.
$expandstringOptional
Include related data in the response

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
datalist of objects
If the API call succeeded, this will contain the results.